bootstrapsliders=require('bootstrap-slider')
express =  require('express')
  app = express(),
  port = process.env.PORT || 3001,
  bodyParser = require('body-parser');

app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());
app.use(express.static(__dirname + '/'));
var routes = require('./api/routes/releaseRoute'); //importing route
routes(app); //register the route
var controllers = require('./api/controllers/releaseController');

const server = app.listen(port);


server.on('connection', connection => {
  connections.push(connection);
  connection.on('close', () => connections = connections.filter(curr => curr !== connection));
});

controllers.loadFiles('./Test/jsonTest')
module.exports = app;
